---
title: "Delete multiple subscribers from a specific mailing list"
slug: "delete-multiple-subscribers-from-a-specific-mailing-list"
abstract: "Describes the request and response details of the Sitecore Send API endpoint to delete multiple subscribers from a specific email list permanently."
---
# Delete multiple subscribers from a specific mailing list

`POST /subscribers/{MailingListID}/delete_many.{Format}`

Deletes multiple subscribers from the specified email list permanently without moving them to the suppression list. Invalid email addresses are ignored.

## Request

| Parameter | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| Accept | header | string | true | Determines the expected format and data type to retrieve the response data.Value: application/json |
| MailingListID | path | string | true | The ID of the email list that contains the subscribers you want to delete. |
| Format | path | string | true | The supported file format for getting a response.Possible values: json and xml. |
| apikey | query | string | true | The API key of your account. |
| Emails | body | object | true | A list of subscriber email addresses that you want to delete from the email list. Use a comma (,) to separate the email addresses. |

```http
POST https://{hostname}/v3/subscribers/{MailingListID}/delete\_many.{Format}?apikey=
Request body:
{
  "Emails": \[
    "subscriber@example.com",
    "subscriber2@example.com",
    "subscriber3@example.com"
  \]
}
```

```curl
curl --location --globoff --request POST \\
     --header "Content-Type: application/json" \\
     --header "Accept: application/json" \\
     --data-raw '{
  "Emails": \[
    "subscriber@example.com",
    "subscriber2@example.com",
    "subscriber3@example.com"
  \]
}' \\
'https://{hostname}/v3/subscribers/{MailingListID}/delete\_many.{Format}?apikey='
```

## Response

| Status | Description | Headers | Schema |
| --- | --- | --- | --- |
| 200 OK | The request is successful. | Content-Type:application/json | N/A |

```json
{
  "Code": 0,
  "Error": null,
  "Context": {
    "EmailsIgnored": 0,
    "EmailsProcessed": 3
  }
}
```

-   `Code` - the response code. This is `0` if successful.
    
-   `Error` - the response error message. This is `null` if successful.
    
    -   `VALIDATION_ERROR` - input validation error occurred.
        
    -   `LIST_NOT_FOUND` - the specified email list does not exist.
        
    -   `MEMBER_NOT_FOUND` - a specified email address was not found in the email list.
        
    -   `MEMBER_DELETION_FAILED` - failed to delete one or more members.

-   `Context` - an object that contains the following information:
    
    -   `EmailsIgnored` - the number of ignored email addresses.
        
    -   `EmailsProcessed` - the number of processed email addresses.